Beta Shell
v2.0 ยท web2.us.cloudlogin.co
[FM]
[CMD]
[PHP]
[DB]
[INFO]
[SEC]
File Manager
~
/
usr
/
local
/
nvm
/
test
/
fast
Upload
25 items
Name
Size
Perms
Modified
Actions
[ .. / .. ]
Aliases
-
drwxr-xr-x
2023-02-07 16:19:04
Del
Listing paths
-
drwxr-xr-x
2023-02-07 16:19:04
Del
Listing versions
-
drwxr-xr-x
2023-02-07 16:19:04
Del
Running "nvm alias" should create a file in the alias directory.
89 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm current" should display current nvm environment.
218 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm deactivate" should unset the nvm environment variables.
767 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm install" with "--reinstall-packages-from" requires a valid version
1.44 KB
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm install" with an invalid version fails nicely
271 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm unalias" should remove the alias file.
100 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm uninstall" should remove the appropriate directory.
137 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm unload" should unset all function and variables.
186 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm use foo" where "foo" is circular aborts
820 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm use iojs" uses latest io.js version
1.13 KB
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm use system" should work as expected
1.14 KB
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm use x" should create and change the "current" symlink
655 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Running "nvm use x" should not create the "current" symlink if $NVM_SYMLINK_CURRENT is false
1.97 KB
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Sourcing nvm.sh should make the nvm command available.
30 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Sourcing nvm.sh should not modify parameters of caller
52 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Unit tests
-
drwxr-xr-x
2023-02-07 16:19:04
Del
setup
180 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
setup_dir
186 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
teardown
187 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
teardown_dir
148 B
-rwxr-xr-x
2023-02-07 16:19:04
Edit
Del
Editing: Running "nvm deactivate" should unset the nvm environment variables.
(767 B)
Path: /usr/local/nvm/test/fast/Running "nvm deactivate" should unset the nvm environment variables.
Back
#!/bin/sh mkdir -p ../../v0.2.3 die () { echo $@ ; exit 1; } [ `expr $PATH : ".*v0.2.3/.*/bin"` = 0 ] || echo "WARNING: Unexpectedly found v0.2.3 already active" >&2 . ../../nvm.sh nvm use --delete-prefix v0.2.3 || die "Failed to activate v0.2.3" [ `expr "$PATH" : ".*v0.2.3/.*/bin"` != 0 ] || die "PATH not set up properly" [ `expr "$NODE_PATH" : ".*v0.2.3/.*/lib/node_modules"` = 0 ] || die "NODE_PATH should not contain (npm root -g)" # ^ note: NODE_PATH should not contain `npm root -g` since globals should not be requireable nvm deactivate || die "Failed to deactivate v0.2.3" [ `expr "$PATH" : ".*v0.2.3/.*/bin"` = 0 ] || die "PATH not cleaned properly" [ `expr "$NODE_PATH" : ".*v0.2.3/.*/lib/node_modules"` = 0 ] || die "NODE_PATH not cleaned properly"